Re: vi secure



On 4/20/08, William O. Yates <hackware@xxxxxxxxxxxx> wrote:
Recently started using vi macros.

When attempting to use one which accessed the external shell, got the following message:

"The ! command is not supported when the secure edit option is set."


Are you running vi as root? I believe that will automatically set secure mode.

-Ben Kaduk
_______________________________________________
freebsd-security@xxxxxxxxxxx mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-security
To unsubscribe, send any mail to "freebsd-security-unsubscribe@xxxxxxxxxxx"



Relevant Pages

  • vi secure
    ... command is not supported when the secure edit option is set." ... When attempting to "set nosecure" in my .exrc file, ... -S Run with the secure edit option set, ...
    (freebsd-questions)
  • vi secure
    ... command is not supported when the secure edit option is set." ... When attempting to "set nosecure" in my .exrc file, ... -S Run with the secure edit option set, ...
    (FreeBSD-Security)
  • Re: vi secure
    ... When attempting to use one which accessed the external shell, ... command is not supported when the secure edit option is set." ... I believe that will automatically set secure mode. ...
    (FreeBSD-Security)